# std::vector<bool,Allocator>::swap

From cppreference.com
< cpp‎ | container‎ | vector bool

Defined in header `<vector>` |  |
static void swap(reference x, reference y); |  |

Swaps the contents of `x` and `y`.

### Parameters

x | - | std::vector <bool>::reference value to swap with `y`
y | - | std::vector <bool>::reference value to swap with `x`

### Return value

(none)

### Complexity

Constant.

### Example

Run this code

    #include <vector>
    #include <iostream>

    int main()
    {
        std::vector<bool> vb1{ 1,0 };

        for (auto e : vb1) { std::cout << e << " "; }
        std::cout << '\n';

        vb1.swap(vb1[0], vb1[1]);

        for (auto e : vb1) { std::cout << e << " "; }
    }

Output:

    1 0
    0 1

### See also

reference | proxy class representing a reference to a single bool (class)
swap | swaps the contents (public member function of `std::vector<T,Allocator>`)
std::swap(std::vector) | specializes the std::swap algorithm (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/vector_bool/swap&oldid=105890"